Package svnmailer :: Module stream :: Class CuckooStream

[hide private]

# Class CuckooStream

source code

     object --+
              |
    _BaseStream --+
                  |
                 CuckooStream

Stream wrapper, which provides a method to replace the stream

Instance Methods | [hide private]

replaceStream(self, stream) Replaces the stream with another | source code

Inherited from `_BaseStream`: `__getattr__`, `__init__`, `close`, `write`, `writelines` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

Inherited from `_BaseStream`: `stream`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### replaceStream(self, stream)

source code

Replaces the stream with another

Parameters:
  - `stream` (file like object) - The new stream